:root {
  --ovo-teal: #31758b;
  --beginners: #31758b;
  --beginners-hover: rgba(186, 222, 234, 0.2);
  --intermediate: #f57272;
  --intermediate-hover: rgba(245, 114, 114, 0.1);
  --experts: #3c3c3b;
  --experts-hover: rgba(60, 60, 59, 0.1);
  --best-value: #7bb833;
  --best-value-hover: rgba(199, 221, 113, 0.2);

  --padding-h-desktop: 32px;
  --padding-h-mobile: 20px;

  --padding-v-desktop: 32px;
  --padding-v-mobile: 20px;
}

html,
body {
  font-family: "Open Sans", sans-serif;
  font-weight: normal;
  font-style: normal;
}

.cta {
  font-weight: 400;
  font-size: 11px;
  line-height: 15px;
  margin-top: 6px;
}

.main-container {
  max-width: 790px;
  padding: 0px;
  background: #fff;
  border: 1px solid #C4C4C4;
}

.leaflet-touch .leaflet-control-layers,
.leaflet-touch .leaflet-bar {
  background: #ffffff;
  box-shadow: 0px 4px 25px rgba(0, 0, 0, 0.2);
  border-radius: 20px;
  border: none;
}

.leaflet-touch .leaflet-bar a {
  text-decoration: none;
  border: none;
  /* padding: 10px; */
  width: 33.5px;
  height: 33.5px;
}

.leaflet-touch .leaflet-bar a:first-child {
  border-radius: 15px 15px 0px 0px;
}

.leaflet-touch .leaflet-bar a:last-child {
  border-radius: 0px 0px 15px 15px;
}

.map-and-dropdown {
  position: relative;
}

.map-overlay {
  z-index: 9;
  width: 100%;
  position: absolute;
  top: 0px;
  left: 0px;
  background: linear-gradient(180deg,
      rgba(255, 255, 255, 0) 0%,
      #c4c4c4 81.25%,
      #c4c4c4 99.48%);
  mix-blend-mode: multiply;
  border-radius: 20px 20px 0px 0px;
  transform: rotate(-180deg);
  height: 172px;
  pointer-events: none;
}

.dropdown {
  padding: 32px 32px 0px 32px;
  position: absolute;
  left: 0;
  top: 0;
  z-index: 10;
  width: 100%;
  pointer-events: none;
}

.leaflet-map {
  z-index: 9;
  height: 390px;
  border-radius: 0px 0px 20px 20px;
}

.leaflet-control-attribution {
  display: none;
}

.cards-content {
  padding: var(--padding-h-mobile) var(--padding-v-mobile);
}

.marker-icon {
  font-family: "Open Sans", sans-serif;
  color: var(--beginners);
  transition: color 0.3s ease-in-out;
}

.marker-icon svg {
  pointer-events: none;
}

[data-value="beginners"] .marker-icon {
  color: var(--beginners);
}

[data-value="intermediate"] .marker-icon {
  color: var(--intermediate);
}

[data-value="experts"] .marker-icon {
  color: var(--experts);
}

[data-value="best_value"] .marker-icon {
  color: var(--best-value);
}

/* CHOICES */

.dropdown .choices {
  pointer-events: all;
  width: 100%;
}

.choices__list--dropdown .choices__item--selectable {
  padding-right: 16px;
}

.choices__inner {
  background: #ffffff;
  box-shadow: none;
  border-radius: 8px;
  border: 1.5px solid transparent;
  font-weight: 400;
  font-size: 19.2px;
  line-height: 21px;
  color: #000;
  padding: 13.5px 15.5px !important;
}

[data-lang="fr"] .choices__inner {
  font-size: 15px;
}

[data-value="beginners"] .choices__inner {
  border: 1.5px solid var(--beginners);
}

[data-value="intermediate"] .choices__inner {
  border: 1.5px solid var(--intermediate);
}

[data-value="experts"] .choices__inner {
  border: 1.5px solid var(--experts);
}

[data-value="best_value"] .choices__inner {
  border: 1.5px solid var(--best-value);
}

.choices[data-type*="select-one"]:after {
  border-color: transparent;
  border-width: 0px;
  margin-top: 0px;
  background-image: url("data:image/svg+xml,%3Csvg width='15' height='9' viewBox='0 0 15 9' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M1 0.75L7.25 7L13.5 0.75' stroke='%2331758B' stroke-width='1.5' stroke-linecap='round'/%3E%3C/svg%3E%0A");
  background-repeat: no-repeat;
  background-size: 15px 9px;
  background-position: center;
  right: 0px;
  top: 0px;
  width: 50px;
  height: 100%;
  margin-top: 2px;
  border-radius: 0px 6px 6px 0px;
  transform-origin: center;
}

[data-value="intermediate"] .choices[data-type*="select-one"]:after {
  background-image: url("data:image/svg+xml,%3Csvg width='15' height='9' viewBox='0 0 15 9' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M1 0.75L7.25 7L13.5 0.75' stroke='%23f57272' stroke-width='1.5' stroke-linecap='round'/%3E%3C/svg%3E%0A");
}

[data-value="experts"] .choices[data-type*="select-one"]:after {
  background-image: url("data:image/svg+xml,%3Csvg width='15' height='9' viewBox='0 0 15 9' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M1 0.75L7.25 7L13.5 0.75' stroke='%233c3c3b' stroke-width='1.5' stroke-linecap='round'/%3E%3C/svg%3E%0A");
}

[data-value="best_value"] .choices[data-type*="select-one"]:after {
  background-image: url("data:image/svg+xml,%3Csvg width='15' height='9' viewBox='0 0 15 9' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M1 0.75L7.25 7L13.5 0.75' stroke='%237bb833' stroke-width='1.5' stroke-linecap='round'/%3E%3C/svg%3E%0A");
}

.choices.is-open:after {
  transform: rotate(180deg);
  margin-top: 0px !important;
  border-radius: 0px 0px 0px 6px !important;
}

.is-open .choices__inner {
  border-radius: 8px;
}

.choices.is-open.is-focused .choices__list--dropdown {
  background: #ffffff;
  box-shadow: 0px 8px 20px rgba(0, 0, 0, 0.08);
}

.choices {
  position: relative;
  margin-bottom: 16px;
}

.choices__input {
  height: 41px !important;
  pointer-events: none !important;
  border-bottom: none !important;
  visibility: hidden !important;
}

.choices__list--dropdown {
  border: none;
  border-radius: 0px 0px 8px 8px;
  padding-top: 8px;
  margin-top: -8px;
  z-index: -1;
}

.choices__list--single .choices__item {
  padding-left: 34px;
}

.choices__list--dropdown .choices__item {
  padding: 17px 17px 17px 55px;
  font-weight: 400;
  font-size: 19.2px;
  line-height: 26px;
  color: #000;
  word-break: normal;
}

[data-lang="fr"] .choices__list--dropdown .choices__item {
  font-size: 15px;
}

.choices__list--dropdown .choices__item[data-value="beginners"].is-highlighted,
.choices__list--dropdown .choices__item[data-value="beginners"].is-selected {
  background-color: var(--beginners-hover);
}

.choices__list--dropdown .choices__item[data-value="intermediate"].is-highlighted,
.choices__list--dropdown .choices__item[data-value="intermediate"].is-selected {
  background-color: var(--intermediate-hover);
}

.choices__list--dropdown .choices__item[data-value="experts"].is-highlighted,
.choices__list--dropdown .choices__item[data-value="experts"].is-selected {
  background-color: var(--experts-hover);
}

.choices__list--dropdown .choices__item[data-value="best_value"].is-highlighted,
.choices__list--dropdown .choices__item[data-value="best_value"].is-selected {
  background-color: var(--best-value-hover);
}

.choices__list--single .choices__item:before {
  content: "";
  background-repeat: no-repeat;
  background-size: 22px 22px;
  background-position: center;
  width: 24px;
  height: 24px;
  position: absolute;
  left: 16px;
  top: calc(50% - 12px);
}

.choices__list .choices__item--choice:before {
  content: "";
  background-repeat: no-repeat;
  background-size: 22px 22px;
  background-position: center;
  width: 24px;
  height: 24px;
  position: absolute;
  left: 17px;
  top: calc(50% - 12px);
}

.choices__list--single .choices__item[data-value="beginners"]:before,
.choices__list .choices__item--choice[data-value="beginners"]:before {
  background-image: url("../images/icons/beginner.svg");
}

.choices__list--single .choices__item[data-value="intermediate"]:before,
.choices__list .choices__item--choice[data-value="intermediate"]:before {
  background-image: url("../images/icons/intermediate.svg");
}

.choices__list--single .choices__item[data-value="experts"]:before,
.choices__list .choices__item--choice[data-value="experts"]:before {
  background-image: url("../images/icons/expert.svg");
}

.choices__list--single .choices__item[data-value="best_value"]:before,
.choices__list .choices__item--choice[data-value="best_value"]:before {
  background-image: url("../images/icons/best_value.svg");
}

[data-value="beginners"] .choices__list--dropdown {
  border: 1.5px solid var(--beginners);
}

[data-value="intermediate"] .choices__list--dropdown {
  border: 1.5px solid var(--intermediate);
}

[data-value="experts"] .choices__list--dropdown {
  border: 1.5px solid var(--experts);
}

[data-value="best_value"] .choices__list--dropdown {
  border: 1.5px solid var(--best-value);
}

/* END OF CHOICES */

/* SLIDER */

.slider-wrap {
  overflow-x: auto;
  padding-bottom: 16px;
  padding-top: 21px;
  margin-left: calc(-1 * var(--padding-h-mobile));
  width: calc(100% + calc(2 * var(--padding-h-mobile)));
}

.card-wrap:first-of-type {
  padding-left: var(--padding-h-mobile);
}

.card-wrap:last-child {
  padding-right: var(--padding-h-mobile);
}

.card-deck {
  flex-wrap: nowrap;
  flex-direction: row;
  margin: 0px;
  min-height: 265px;
}

.scrollbar {
  position: relative;
  margin-top: 30px;
  margin-bottom: 30px;
}

.slider-wrap::-webkit-scrollbar {
  display: none !important;
}

.scrollbar-back {
  height: 2px;
  background: #dadfe1;
  border-radius: 4px;
  width: 100%;
}

.scrollbar-thumb {
  background-color: var(--ovo-teal);
  border-radius: 4px;
  height: 5px;
  width: 20px;
  position: absolute;
  top: -1.5px;
  left: 0px;
  transition: height 0.3s ease-in-out, top 0.3s ease-in-out;
}

[data-value="beginners"] .scrollbar-thumb {
  background-color: var(--beginners);
}

[data-value="intermediate"] .scrollbar-thumb {
  background-color: var(--intermediate);
}

[data-value="experts"] .scrollbar-thumb {
  background-color: var(--experts);
}

[data-value="best_value"] .scrollbar-thumb {
  background-color: var(--best-value);
}

.scrollbar-thumb:hover {
  height: 8px;
  top: -3px;
}

.scrollbar-thumb:hover .scrollbar-subject {
  top: 1.5px;
}

.scrollbar-subject {
  border-radius: 50%;
  background: yellow;
  height: 5px;
  width: 5px;
  position: absolute;
  top: 0px;
  left: -2.5px;
}

/* END OF SLIDER */

.grey-overlay {
  position: absolute;
  left: 0px;
  top: 0px;
  width: 100%;
  height: 100%;
  background: rgba(196, 196, 196, 0.9);
  mix-blend-mode: multiply;
  z-index: 200;
  pointer-events: none;
  display: none;
}

/* DETAILED CARD SLIDER */

.detailed-cards-slider {
  display: none;
  position: absolute;
  top: 10px;
  left: 0px;
  width: 100%;
  z-index: 500;
  padding: 0px 32px;
  pointer-events: none !important;
}

.detailed-cards-slider .slider-wrap {
  overflow: hidden;
}

.detailed-card {
  visibility: hidden;
  width: 225px;
  height: 655px;
  background: #ffffff;
  box-shadow: 4px 8px 25px rgba(0, 0, 0, 0.2);
  border-radius: 20px;
  position: relative;
}

.detailed-card.active {
  pointer-events: all;
}

.images {
  position: relative;
  width: 100%;
  height: 300px;
}

.images .img {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  border-radius: 14px 14px 0px 0px;
  background-repeat: no-repeat;
}

.detailed-card-body {
  padding: 12px 22px;
}

.page-2 {
  padding-top: 5px;
}

.box-stats {
  display: flex;
  flex-wrap: wrap;
  padding: 8px 0px 12px 0px;
  border-top: 0.5px solid #c4c4c4;
  border-bottom: 0.5px solid #c4c4c4;
  margin-top: 30px;
  margin-bottom: 12px;
}

.box-stats .stat-item {
  width: calc(50% - 2px);
  padding: 10px;
  border-radius: 10px;
  padding-right: 0px;
  margin-top: 4px;
}

.box-stats .stat-item.grey {
  background-color: #f8f8f8;
}

.box-stats .stat-item:nth-child(odd) {
  margin-right: 2px;
}

.box-stats .stat-item:nth-child(even) {
  margin-left: 2px;
}

.box-stats .stat-item .info-box-value {
  font-weight: 600;
  font-size: 16px;
  line-height: 22px;
  color: #000;
  display: flex;
  align-items: center;
  margin-bottom: 3px;
}

.box-stats .stat-item .info-box-value img {
  margin-right: 8px;
}

.box-stats .stat-item .info-box-label {
  font-weight: 300;
  font-size: 13.33px;
  line-height: 18px;
  color: #000;
}

.total-ski-area {
  color: #000;
  font-weight: 300;
  font-size: 16px;
  line-height: 22px;
  margin-bottom: 20px;
  margin-top: 8px;
}

.shadow-box-info {
  background: #ffffff;
  box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.15);
  border-radius: 10px;
  margin-bottom: 16px;
  padding: 16px 22px;
  color: #000;
  background-repeat: no-repeat;
  background-position: 108% 15px;
}

.shadow-box-info[data-index="1"] {
  background-position: 112.5% 22px;
}

.shadow-box-info[data-index="2"] {
  background-position: 109% 15px;
}

.shadow-box-info .main-row {
  font-weight: 300;
  font-size: 16px;
  line-height: 22px;
  margin-bottom: 8px;
}

.shadow-box-info .main-row .text-big {
  font-weight: 500;
  font-size: 21.04px;
  line-height: 31px;
  margin-right: 4px;
}

.shadow-box-info .secondary-row {
  font-weight: 300;
  font-size: 13.33px;
  line-height: 18px;
}

.shadow-box-info .text-pos {
  color: #8bbe3e;
  font-weight: 600;
}

.shadow-box-info .text-neg {
  color: #e02127;
  font-weight: 600;
}

.grey-box-info {
  background: #f8f8f8;
  border-radius: 10px;
  padding: 19px 17px;
}

.grey-box-info .grey-box-row {
  margin-bottom: 20px;
  display: flex;
  align-items: center;
  width: 100%;
  font-weight: 300;
  font-size: 16px;
  line-height: 21px;
}

.grey-box-row img {
  margin-right: 12px;
}

.grey-box-info .grey-box-row:last-child {
  margin-bottom: 0px;
}

.grey-box-info .grey-box-row .text-big {
  font-weight: 600;
  font-size: 19.2px;
  line-height: 26px;
  margin-right: 8px;
}

.toggle-btn {
  width: calc(100% - 20px);
  margin-left: 10px;
  border-radius: 0px 0px 15px 15px;
  background: linear-gradient(180deg,
      rgba(243, 243, 243, 0) 0%,
      #f3f3f3 98.44%);
  mix-blend-mode: multiply;
  border: none;
  position: absolute;
  bottom: 0px;
  left: 0px;
  margin-bottom: 10px;
}

.toggle-btn.rotate svg {
  transform: rotate(-180deg);
}

.peak {
  position: absolute;
  font-weight: 300;
  font-size: 11.11px;
  line-height: 15px;
  padding: 5px 8px;
  background: rgba(255, 255, 255, 0.6);
  box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.15);
  border-radius: 5px;
}

.peak strong {
  font-weight: 400;
}

/* CARD */

.card {
  z-index: 300;
  width: 225px;
  min-height: 260px;
  display: flex;
  flex-direction: column;
  border: none;
  background-color: #fff;
  margin: 0 !important;
  cursor: pointer;
  background: #ffffff;
  box-shadow: 4px 8px 25px rgba(0, 0, 0, 0.2);
  border-radius: 20px;
  user-select: none !important;
}

.card-body {
  padding: 12px;
}

.card-wrap {
  padding-left: 8px;
  padding-right: 8px;
}

.card-img {
  padding: 8px 8px 0px 8px;
}

.card-img img {
  width: 100%;
  height: 116px;
  border-radius: 14px;
}

.level-info {
  display: flex;
  align-items: center;
  font-weight: 600;
  font-size: 19.2px;
  line-height: 26px;
}

[data-lang="fr"] .level-info {
  font-style: normal;
  font-weight: 600;
  font-size: 15px;
  line-height: 22px;
}

.level-info img {
  margin-right: 10px;
}

.card-statistics {
  display: flex;
  align-items: center;
  width: 100%;
  align-self: flex-end;
}

.card-statistics .stat {
  flex-grow: 1;
  text-align: center;
  color: #000;
  border-right: 0.5px solid #c4c4c4;
}

.card-statistics .stat:last-child {
  border-right: 0px;
}

.card-statistics .stat-label {
  font-weight: 400;
  font-size: 9.26px;
  line-height: 13px;
}

.card-statistics .stat-value {
  font-weight: 600;
  font-size: 13.33px;
  line-height: 18px;
}

.detailed-card .card-statistics .stat-label,
.modal-content .card-statistics .stat-label {
  font-weight: 400;
  font-size: 12px;
  line-height: 16px;
}

.detailed-card .card-statistics .stat-value,
.modal-content .card-statistics .stat-value {
  font-weight: 600;
  font-size: 16px;
  line-height: 22px;
}

.card-body {
  color: #000;
  display: flex;
  flex-direction: column;
  height: 100%;
  justify-content: space-between;
}

.resort-name {
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 20px;
}

.resort-name strong {
  font-weight: 700;
  font-size: 19.2px;
  line-height: 26px;
  margin-right: 5px;
}

.resort-country {
  margin-top: 6px;
  display: flex;
  align-items: center;
  font-weight: 300;
  font-size: 12px;
  line-height: 16px;
}

.resort-country svg {
  margin-right: 5px;
}

/* END OF CARD */

/* MODAL */

.modal-dialog {
  margin: 0px;
  min-height: 100vh;
  padding-top: 25px;
  padding-bottom: 65px;
}

.modal-content {
  border: none;
  width: 326px;
  height: 655px;
  background: #ffffff;
  box-shadow: 4px 8px 25px rgba(0, 0, 0, 0.2);
  border-radius: 20px;
  position: relative;
  margin: 0 auto;
}

.navigation {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  position: fixed;
  bottom: 0;
  left: 0;
  background-color: white;
  padding: 10px 30px;
  z-index: 1050;
  pointer-events: all;
}

.navigation .btn {
  background: transparent;
  border: none;
}

/* END OF MODAL */

@media (min-width: 500px) {
  .card {
    transition: transform 0.4s ease-in-out;
  }

  .card:hover {
    transform: translateY(-16px);
  }

  [data-lang="fr"] .level-info {
    font-size: 19.2px;
    line-height: 26px;
  }

  .modal-dialog {
    padding-top: 65px;
    padding-bottom: 65px;
  }

  .slider-wrap {
    overflow-x: auto;
    padding-bottom: 16px;
    padding-top: 26px;
    margin-left: calc(-1 * var(--padding-h-desktop));
    width: calc(100% + calc(2 * var(--padding-h-desktop)));
  }

  .card-wrap:first-of-type {
    padding-left: var(--padding-h-desktop);
  }

  .card-wrap:last-child {
    padding-right: var(--padding-h-desktop);
  }

  .leaflet-map {
    height: 320px;
  }

  .dropdown {
    padding: 32px 40px 0px 40px;
  }

  .dropdown .choices {
    width: 395px;
  }

  .grey-overlay {
    display: block;
  }

  .cards-content {
    padding: var(--padding-h-desktop) var(--padding-v-desktop);
  }
}